Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class ParameterInfo

    java.lang.Object
      toolkit.db.api.ParameterInfo

    public class ParameterInfo

extends java.lang.Object

Class ParameterInfo wraps all information of related parameters.

Field Summary
`static java.lang.String` | `TYPE_BOOLEAN`
`static java.lang.String` | `TYPE_CURRENCY`
`static java.lang.String` | `TYPE_DATE`
`static java.lang.String` | `TYPE_DATETIME`
`static java.lang.String` | `TYPE_INTEGER`
`static java.lang.String` | `TYPE_NUMBER`
`static java.lang.String` | `TYPE_STRING`
`static java.lang.String` | `TYPE_TIME`

Constructor Summary
`ParameterInfo(java.lang.String sName, java.lang.String sType, java.lang.String sValue)` Constructs a parameter information object.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this ParameterInfo to the specified object.
`java.lang.String` | `getName()` Gets the name of the parameter.
`java.lang.String` | `getType()` Gets the data type of the parameter represented in string.
`java.lang.String` | `getValue()` Gets the value of the parameter represented in string.
`java.lang.String` | `toString()` Returns a string representation of this ParameterInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_INTEGER

    public static final java.lang.String TYPE_INTEGER

See Also:
  Constant Field Values

### TYPE_NUMBER

    public static final java.lang.String TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

See Also:
  Constant Field Values

### TYPE_CURRENCY

    public static final java.lang.String TYPE_CURRENCY

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    public static final java.lang.String TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_DATE

    public static final java.lang.String TYPE_DATE

See Also:
  Constant Field Values

### TYPE_TIME

    public static final java.lang.String TYPE_TIME

See Also:
  Constant Field Values

### TYPE_DATETIME

    public static final java.lang.String TYPE_DATETIME

See Also:
  Constant Field Values

Constructor Detail

### ParameterInfo

    public ParameterInfo(java.lang.String sName,
                         java.lang.String sType,
                         java.lang.String sValue)

  Constructs a parameter information object.

  Parameters:
    `sName` - The mapping name of the parameter.
    `stype` - The data type of the parameter, represented in string.
    `sValue` - The value of the parameter, represented in string.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the parameter.

  Returns:
    the parameter name.

### getType

    public java.lang.String getType()

  Gets the data type of the parameter represented in string.

  Returns:
    parameter type text.

### getValue

    public java.lang.String getValue()

  Gets the value of the parameter represented in string.

  Returns:
    parameter value text.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this ParameterInfo to the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the ParameterInfo is equal, false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representation of this ParameterInfo's values. The format is as follows:

  >       className@hashCode[ parameterName | type | value ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this ParameterInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD